/*
    文章详情页
*/

body {
    height: auto;
    padding-bottom: 2.5rem;
    padding-bottom: calc(2.5rem + constant(safe-area-inset-bottom));
    padding-bottom: calc(2.5rem + env(safe-area-inset-bottom));
    background-color: #fff;
}

.article-detail {
    background-color: #F2F2F2;
}

.self-btn-box {
    display: none !important;
}

.self-img-box {
    position: relative;
    display: block;
}

section.row {
    margin-bottom: 0;
}

[data-plugin=detailRow].part .row-title {
    padding-top: .55rem;
}

[data-plugin=detailRow].part .row-content {
    margin-top: 0;
}

[data-plugin=detailRow] .modular {
    padding-left: 0;
    padding-right: 0;
}

[data-plugin=detailRow] .template-right-main {
    padding-bottom: 0;
}

[data-plugin=detailRow] .template-right-main .template-ordinary-main {
    margin-bottom: 0;
    font-size: .8rem;
}

pre {
    white-space: pre-wrap;
    white-space: -moz-pre-wrap;
    white-space: -pre-wrap;
    white-space: -o-pre-wrap;
    word-wrap: break-word;
}


/*产品图片面板start*/

.article-product,
.product-thumb {
    margin: .6rem 0 22px 0;
    box-shadow: 0 0 6px 0 rgba(0, 0, 0, 0.4);
    border-radius: 5px;
    padding: 0.3rem .4rem .45rem;
    background-color: #fff;
}

.article-product .article-product-name,
.product-thumb .article-product-name {
    margin-bottom: .3rem;
    display: block;
}

.article-product-footer {
    display: -webkit-flex;
    display: flex;
    -webkit-box-align: center;
    -webkit-align-items: center;
    -ms-flex-align: center;
    align-items: center;
    font-size: .68rem;
    position: relative;
    padding: .18rem 0;
    margin-top: .45rem;
}

.article-product-footer .star-box {
    display: -webkit-flex;
    display: flex;
    -webkit-box-align: center;
    -webkit-align-items: center;
    -ms-flex-align: center;
    align-items: center;
    margin-left: .2rem;
}

.article-product-footer .star-box .icon {
    width: 1rem;
    height: 1rem;
}

.article-product-footer .btn-product-link {
    position: absolute;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
    border: 1px solid;
    padding: .18rem .45rem;
    border-radius: 5px;
}


/*产品图片面板end*/

section.part {
    width: 100%;
    background-color: #fff;
    padding: 0 17px;
    box-sizing: border-box;
}


/*标题 start*/

.part.title {
    padding: 20px 16px 10px;
    font-size: 22px;
    font-weight: 400;
    color: #000;
    text-shadow: 0 0 0 #000;
    line-height: 1.4;
}

.part.title.small {
    padding: .45rem 25px 0;
}


/*标题 end*/


/*用户信息连同签名 start*/

.part.user-box {
    padding: 1.5rem 17px .75rem;
}

.part.user-box .inner-box {
    box-shadow: 0px 0px 6px 0px rgba(0, 0, 0, 0.24);
    border-radius: 5px;
}

.part.user-box .user-data {
    display: -webkit-flex;
    display: flex;
    -webkit-box-align: flex-start;
    -webkit-align-items: flex-start;
    -ms-flex-align: flex-start;
    align-items: flex-start;
    padding: .45rem .75rem 0 1rem;
}

.part.user-box .user-data .avatar-box {
    width: 2.5rem;
    height: 2.5rem;
    margin-top: -.8rem;
}

.part.user-box .user-data .avatar-box .avatar {
    position: relative;
    z-index: 300;
}

.part.user-box .user-data .avatar-box .avatar-icon {
    z-index: 400;
}

.part.user-box .user-data .avatar-box::before,
.part.user-box .user-data .avatar-box::after {
    content: '';
    position: absolute;
    background-color: #fff;
}

.part.user-box .user-data .avatar-box::before {
    width: 3rem;
    height: 3rem;
    bottom: -.25rem;
    left: -.25rem;
    z-index: 10;
    box-shadow: 0px 0px 6px 0px rgba(0, 0, 0, 0.24);
    border-radius: 100%;
}

.part.user-box .user-data .avatar-box::after {
    width: 3.5rem;
    height: calc(4.4rem / 2 + .32rem);
    bottom: -0.385rem;
    left: -.5rem;
    z-index: 100;
}

.part.user-box .user-data .name {
    margin: 0 .5rem;
    -webkit-box-flex: 1;
    -moz-box-flex: 1;
    -webkit-flex: 1;
    -ms-flex: 1;
    flex: 1;
    font-size: .85rem;
    font-weight: 500;
    color: #28292c;
    line-height: 1.1rem;
}

.part.user-box .user-data .name>.tel {
    display: block;
    font-size: .78rem;
    color: #28292c;
    margin-top: .1rem;
}

.part.user-box .user-data .btn-box .btn {
    display: -webkit-flex;
    display: flex;
    -webkit-box-align: center;
    -webkit-align-items: center;
    -ms-flex-align: center;
    align-items: center;
    justify-content: center;
    -webkit-box-pack: center;
    -webkit-justify-content: center;
    -ms-flex-pack: center;
    justify-content: center;
    word-break: keep-all;
    color: #DE2002;
}

.part.user-box .user-data .btn-box .btn.img-change {
    width: 4.2rem;
}

.part.user-box .user-data .btn-box .btn.change {
    background-color: #1EA239;
    color: #fff;
    font-size: .8rem;
    font-weight: 500;
    padding: .25rem .6rem;
    border-radius: .6rem;
}

.part.user-box .user-data .btn-box .btn.be-vip {
    color: #1EA239;
}

.part.user-box .user-data .btn-box .btn .icon {
    width: .9rem;
    height: .9rem;
    margin-right: .25rem;
}

.part.user-box .tip-box {
    padding: .75rem .75rem 1rem;
    font-size: .65rem;
    font-weight: 400;
    color: #4a4a4a;
    line-height: .925rem;
    display: block;
}

.part.user-box .tip-box.edit {
    text-align: center;
}

.part.user-box .tip-box .edit {
    color: #9B9B9B;
}


/*用户信息连同签名 end*/


/*文章内容 start*/

.part.content {
    padding-top: .5rem;
    padding-bottom: .5rem;
}

.part.content.on-readmore {
    max-height: 50rem;
    overflow: hidden;
    position: relative;
    margin-bottom: 1rem;
}

.part.content *:not(.btn-product-link):not(.house-panel):not(g){
    transform: translateZ(0);
    -webkit-transform: translateZ(0px);
    /*强制文章正文层级不高于外部弹窗*/
}

.part.content .readmore-mask {
    display: none;
}

.part.content.on-readmore .readmore-mask {
    display: block;
    background: -webkit-gradient(linear, 0 top, 0 bottom, from(rgba(255, 255, 255, 0)), to(#fff));
    background: linear-gradient(0deg, rgba(255, 255, 255, 1) 20%,rgba(255, 255, 255, 1) 30%,rgba(255, 255, 255, 0.3) 80%, rgba(255, 255, 255, 0) 100%);
    width: calc(100% - 34px);
    height: 4.5rem;
    position: absolute;
    bottom: 0;
    left: 17px;
    z-index: 20;
}

.part.content.on-readmore .readmore-mask .icon-box {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    text-align: center;
    color: #333;
    padding-bottom: 0.6rem;
    font-size: 0.7rem;
    transform: translateY(0.6rem);
}

.part.content.on-readmore .readmore-mask .icon {
    width: 1em;
    height: 1em;
    vertical-align: -.15em;
    fill: currentColor;
    overflow: hidden;
    animation: unfold-arrow-animation .3s infinite alternate;
}

.part.content .b {
    max-width: 100%;
}

.part.content img {
    max-width: 100%;
    height: auto !important;
    display: unset;
}

.part.content video {
    width: 100%;
    margin: .3rem 0;
    background-color: #000;
    max-height: 12rem;
    height:auto;
}

.part.content audio {
    width: 100%;
    margin: .3rem 0;
}

.part.btn-download-app {
    padding: .425rem 17px;
}

.btn-download-app .btn {
    display: block;
    color: #fff;
    text-align: center;
    font-size: 17px;
    padding: .4rem 0;
    border-radius: 40px;
    background: linear-gradient(90deg, #fd0305 0%, #fe4e50);
}

.part.content #art>*:last-child {
    margin-bottom: 0 !important;
}

@-webkit-keyframes unfold-arrow-animation {
    from {
        transform: translateY(0);
    }
    to {
        transform: translateY(-.35rem);
    }
}

@keyframes unfold-arrow-animation {
    from {
        transform: translateY(0);
    }
    to {
        transform: translateY(-.35rem);
    }
}


/*文章内容 end*/


/*顶部下载app*/

.top-banner-container {
    background-color: #fff;
    height: 50px;
    box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.1);
    position: relative;
    margin-bottom: 4px;
}

.top-banner-container .logo {
    width: 36px;
    height: 36px;
    position: absolute;
    margin: 7px 0;
    left: 15px;
    border: 1px solid #eee;
    border-radius: 7px;
}

.top-banner-container .slogan {
    font-size: 14px;
    color: #222;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 61px;
    line-height: 50px;
}

.top-banner-container .btn-open-app {
    display: block;
    position: absolute;
    margin: 11px 0;
    right: 15px;
    width: 72px;
    height: 28px;
    line-height: 28px;
    color: #fff;
    font-size: 14px;
    text-align: center;
    font-weight: 500;
    border-radius: 14px;
    background-image: linear-gradient(to right, #ff0000, #ff5050);
}


/*顶部下载app*/


/*编辑推荐 start*/

.part.recommend {
    padding: 1.25rem 1rem 0;
}

.part.recommend .recommend-box {
    border-radius: 10px;
    border: 1px solid #C0C0C0;
    padding: .75rem .75rem .5rem;
    display: -webkit-flex;
    display: flex;
    -webkit-box-align: center;
    -webkit-align-items: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -webkit-justify-content: center;
    -ms-flex-pack: center;
    justify-content: center;
    min-height: 3.5rem;
    position: relative;
}

.part.recommend .recommend-box .title {
    margin-top: -.5rem;
    background-color: #fff;
    padding: 0 .4rem;
    position: absolute;
    top: 0;
    font-size: .75rem;
    font-weight: bold;
    color: #28292C;
    line-height: 1.05rem;
}

.part.recommend .recommend-box .title::after {
    content: '';
    background-color: #E21F00;
    position: absolute;
    top: 100%;
    width: calc(100% - .7rem);
    height: 3px;
    left: .35rem;
}

.part.recommend .recommend-box .content {
    font-size: .65rem;
    font-weight: 400;
    color: #28292C;
    line-height: .925rem;
}

.part.recommend .recommend-box .content .edit {
    word-break: keep-all;
    word-wrap: normal;
    margin-left: .675rem;
}

.part.recommend .recommend-box .content .edit.is-default {
    margin-left: 0;
}


/*编辑推荐 end*/


/*按钮组 start*/

.part.btn-group {
    display: -webkit-flex;
    display: flex;
    -webkit-box-align: center;
    -webkit-align-items: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: space-around;
    -webkit-justify-content: space-around;
    -ms-flex-pack: space-around;
    justify-content: space-around;
    padding-top: 0.8rem;
}

.part.btn-group .btn {
    border: 1px solid #979797;
    border-radius: 25px;
    color: #4a4a4a;
    display: -webkit-flex;
    display: flex;
    -webkit-box-align: center;
    -webkit-align-items: center;
    -ms-flex-align: center;
    align-items: center;
    padding: .15rem .5rem;
}

.part.btn-group .btn.like {
    background-color: #e24238;
    border-color: #e24238;
    color: #fff;
}

.part.btn-group .btn .icon {
    width: .65rem;
    height: .65rem;
    margin-right: .25rem;
}

.part.btn-group .btn span {
    font-size: 0.6rem;
    font-weight: 400;
}


/*按钮组 end*/


/*声明*/

.part.statement {
    font-size: .7rem;
    font-weight: 400;
    color: #8F8F8D;
    line-height: .875rem;
    padding-top: .8rem;
}


/*底部按钮-删除文章 start*/

.part.delete {
    padding-top: 1rem;
    padding-bottom: 1rem;
}

.part.delete .btn {
    border-radius: 47px;
    border: 2px solid #D81E06;
    width: 7.825rem;
    height: 1.825rem;
    margin: 0 auto;
    display: -webkit-flex;
    display: flex;
    -webkit-box-align: center;
    -webkit-align-items: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -webkit-justify-content: center;
    -ms-flex-pack: center;
    justify-content: center;
}

.part.delete .btn .icon {
    width: .625rem;
    height: .85rem;
    margin-right: .5rem;
}

.part.delete .btn>span {
    font-size: .8rem;
    font-weight: 400;
    color: #E11E00;
}


/*底部按钮-删除文章 end*/

.part.ad-bottom {
    padding-top: 0.8rem;
}


/*名片组 end*/


/*朋友圈配文 start*/

.popup-matching {
    padding-bottom: .5rem;
    width: calc(100% - 1.5rem);
    border-radius: .3rem;
}

.popup-matching .title {
    position: relative;
    padding: 0 2.2rem .5rem 1.2rem;
    text-align: left;
    line-height: 1.2rem;
}

.popup-matching .matching-content {
    border: 1px solid #ccc;
    margin: .3rem .8rem .8rem;
    padding: .8rem;
    text-align: left;
    border-radius: 6px;
    box-sizing: border-box;
}

.popup-matching .btn-matching-submit {
    padding: 0 30px;
    display: inline-block;
    line-height: 2.2;
}


/*朋友圈配文 end*/


/*推荐好文列表 start*/

.more-article-list {
    background: #fff;
    padding-bottom: .75rem;
}

.more-article-list .template-right-s {
    padding: .5rem;
    width: 100%;
    box-sizing: border-box;
    border-bottom: 1px solid #f0f0f0;
}

.more-article-list .btn-box {
    display: flex;
    padding: .4rem 0 .1rem;
}

.more-article-list .btn-box .weui-btn {
    width: 40%;
    line-height: 2.4rem;
    font-size: 16px;
    padding: 0;
    border-radius: 1.2rem;
}

.more-article-list .weui-btn+.weui-btn {
    margin-top: unset;
    background-color: #dc851f;
    border-color: #dc851f;
}


/*推荐好文列表 end*/


/*当前页弹关注图 start*/

.popup-subscribe {
    padding-top: 0;
}

.popup-subscribe .popup-btn-close {
    top: -2rem;
    right: 0;
    background-color: #fff;
    border-radius: 100%;
    padding: .25rem;
}

#popup_subscribe .popup-box {
    overflow: unset;
    border-radius: 0;
    padding: .2rem .5rem .5rem;
}

#popup_subscribe.weui-popup__container--visible .weui-popup__modal {
    position: absolute;
    top: 50%;
    transform: translate3d(0, -50%, 0) !important;
    margin-top: 0;
}

.popup-subscribe .popup-title {
    text-align: left;
    font-size: 18px;
    padding: .25rem 0 .5rem;
    color: #555;
}


/*当前页弹关注图 end*/

.nav.nav-article {
    background-color: #EB7967;
    height: 2.65rem;
}

.nav.nav-article .link span {
    color: #fff;
    font-size: .7rem;
}

.nav.nav-article .link .nav-icon {
    width: 1rem;
    height: 1rem;
}


/*用户注册或付费提示*/

.user-reg-tip {
    text-align: center;
    margin-bottom: 5px;
    font-size: 16px;
    color: #8e8e8e;
}


/*签名模板start*/

#edit_article_popup .weui-popup__modal {
    overflow: hidden;
    box-sizing: border-box;
}

#edit_article_popup .weui-popup__modal.add-header {
    padding-top: 2.5rem;
}

#edit_article_popup .unified-header {
    position: absolute;
    top: 0;
    left: 0;
}

#edit_article_popup .content-box {
    height: 100%;
    overflow: auto;
}

#edit_article_popup .demo-box {
    padding: .5rem .75rem;
}

.demo-box .demo-title {
    font-size: 18px;
    text-shadow: 0 0 0 #000;
    margin-bottom: .4rem;
}

.demo-box .demo-item {
    box-shadow: 0 2px 8px 0px rgba(0, 0, 0, 0.2);
    border-radius: .2rem;
    padding: 0 .6rem;
    box-sizing: border-box;
    margin-bottom: .5rem;
}

.demo-box .demo-item::after {
    content: '';
    display: block;
    clear: both;
}

.demo-box .demo-content {
    font-size: 16px;
    padding: .8rem 0 .5rem;
}

.demo-box .demo-delete {
    padding: 0 0 .5rem;
    display: inline-flex;
    align-items: center;
    float: right;
    font-size: 14px;
}

.demo-box .demo-delete>.icon {
    width: .5rem;
    display: inline;
    margin-right: .2rem;
}


/*签名模板end*/


/*正文中插入房产start*/

.house-item {
    display: flex;
    align-items: flex-start;
    background-color: #f2f2f2;
    padding: .5rem;
}

.house-item .flex {
    display: flex;
    align-items: center;
}

.house-item .house-cover {
    width: 6rem;
    margin-right: .5rem;
}

.house-item .house-right {
    height: 100%;
    align-self: stretch;
    color: #28292c;
    flex: 1;
}

.house-item .house-title {
    -webkit-line-clamp: 3;
    height: 2.8rem;
    margin-bottom: .2rem;
    font-size: 16px;
    line-height: 1.3em;
}

.house-item .house-bottom {
    justify-content: space-between;
}

.house-item .house-bottom .icon {
    width: .85rem;
    display: inline-block;
    margin-right: .2rem;
}

.house-item .house-label {
    color: #777;
    font-size: 16px;
}

.house-item .btn-house {
    background-color: #367ceb;
    color: #fff;
    padding: .2rem .6rem;
    border-radius: .15rem;
    font-size: 15px;
}


/*正文中插入房产end*/